// pages/agreement/agreement.js
import {getProject} from "../../../api/checkSugar"
Page({
  /**
   * 页面的初始数据
   */
  data: {
    detection_project_id:1,
    nodes:''
  },
  handelGetProject(){
    let {detection_project_id}=this.data;
    getProject(
      detection_project_id
    ).then(data=>{
      this.setData({
        nodes:data.informed_consent_form
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if(options.detection_project_id){
      this.setData({
        detection_project_id:options.detection_project_id
      });
      this.handelGetProject();
    }
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  
})